vector_dimsize Struct Reference
Template metaprogramming classes

Structure to enable the use of the dim_traits class for std::vector. More...

`#include <mia/core/traits.hh>`

## Public Member Functions

size_t & | operator[] (int)
| return a read-write reference to the first (and only)dimension
const size_t & | operator[] (int) const
| return a read-only reference to the first (and only)dimension
size_t | size ()
| vector_dimsize ()
| contruct the dimsize object
| vector_dimsize (size_t n)
| contruct the dimsize object

## Detailed Description

Structure to enable the use of the dim_traits class for std::vector.

Definition at line 45 of file traits.hh.

## Constructor & Destructor Documentation

## vector_dimsize() [1/2]

vector_dimsize::vector_dimsize | ( |  | ) |

inline

contruct the dimsize object

Definition at line 48 of file traits.hh.

## vector_dimsize() [2/2]

vector_dimsize::vector_dimsize | ( | size_t | n | ) |

inline

contruct the dimsize object

Definition at line 53 of file traits.hh.

## Member Function Documentation

## operator[]() [1/2]

size_t & vector_dimsize::operator[] | ( | int |  | ) |

inline

return a read-write reference to the first (and only)dimension

Definition at line 64 of file traits.hh.

## operator[]() [2/2]

const size_t & vector_dimsize::operator[] | ( | int |  | ) | const

inline

return a read-only reference to the first (and only)dimension

Definition at line 70 of file traits.hh.

## size()

size_t vector_dimsize::size | ( |  | ) |

inline

Returns
  the dimension 1 as dimension of this vector

Definition at line 58 of file traits.hh.

The documentation for this struct was generated from the following file:

- traits.hh